import request from "@/utils/service"
import type * as Table from "./types/index"
// 分类列表
/** 增 */
export function createComponentclassApi(data: Table.CreateOrUpdateTableRequestData) {
    return request({
        url: "/addcomponentclass",
        method: "post",
        data
    })
}

/** 删 */
export function deleteComponentclassApi(params: object) {
    return request({
        url: '/componentclass',
        method: "delete",
        params
    })
}

/** 改 */
export function updateComponentclassApi(data: Table.CreateOrUpdateTableRequestData) {
    return request({
        url: "/componentclass",
        method: "put",
        data
    })
}

/** 查 */
export function getComponentclassApi(params: Table.TableRequestData) {
    return request<Table.TableResponseData>({
        url: "/componentclass",
        method: "GET",
        params
    })
}
