import request from "@/utils/service"
import type * as Table from "./types/index"
// 分类列表
/** 增 */
/** 增 */
export function createComponentListApi(data: Table.CreateOrUpdateTableRequestData) {
    return request({
        url: "/componentList",
        method: "post",
        data
    })
}

/** 删 */
export function deleteComponentListApi(params: object) {
    return request({
        url: '/componentList',
        method: "delete",
        params
    })
}

/** 改 */
export function updateComponentListApi(data: Table.CreateOrUpdateTableRequestData) {
    return request({
        url: "/componentList",
        method: "put",
        data
    })
}

/** 查 */
export function getComponentListApi(params: any) {
    return request({
        url: "/componentList?id=" + params,
        method: "GET",
        // params
    })
}
