export interface CreateOrUpdateTableRequestData {
  id?: number
  name: string
  parentId?: number
}

export interface TableRequestData {
  /** 当前页码 */
  currentPage: number
  /** 查询条数 */
  size: number
  // 组件名称
  name?: string
  /** 查询参数：用户名 */
  username?: string
  /** 查询参数：手机号 */
  phone?: string
}

export interface TableData {
  createTime: string
  email: string
  id: string
  ID: string
  name: string
  phone: string
  roles: string
  status: boolean
  username: string
}
export type TableResponseData = {
  list: TableData[]
  total: number
}