export interface CreateOrUpdateTableRequestData {
    ID?: number
    name: string
    image?: string
    data?: string
    imageName?: string
}

export interface TableRequestData {
    /** 当前页码 */
    currentPage: number
    /** 查询条数 */
    size: number
    // 组件名称
    name?: StringConstructor
}

export interface TableData {
    id: string
    ID: string
    name: string
    phone: string
    roles: string
    status: boolean
    username: string
}
export type TableResponseData = {
    list: TableData[]
    total: number
}